- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# MFnManip3D Class Reference

# OpenMayaUI - API module for user interface | FunctionSet classes

Search for all occurrences

## Detailed Description

3D manipulator function set

MFnManip3D allows the creation and manipulation of 3D manipulators. MFnManip3D is the base class from which MFnFreePointTriadManip, MFnDirectionManip, MFnDistanceManip, MFnPointOnCurveManip, MFnPointOnSurfaceManip, MFnDiscManip, MFnCircleSweepManip, MFnToggleManip, MFnStateManip, and MFnCurveSegmentManip are derived.

`#include <MFnManip3D.h>`

Inheritance diagram for MFnManip3D:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnManip3D ()
| Destructor.
| MFnManip3D ()
| Default constructor.
| MFnManip3D (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnManip3D (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
bool | isVisible (MStatus *ReturnStatus) const
| Returns whether or not the manipulator is visible.
MStatus | setVisible (bool isVisible)
| Sets whether or not the manipulator is visible.
float | manipScale (MStatus *ReturnStatus) const
| Returns the manipulator scale.
MStatus | setManipScale (float size)
| Sets the manipulator scale.
bool | isOptimizePlaybackOn (MStatus *ReturnStatus) const
| Returns whether or not optimize playback is on.
MStatus | setOptimizePlayback (bool optimizePlayback)
| Sets whether or not to optimize the playback.
MEulerRotation | rotateXYZValue (const unsigned int valIndex, MStatus *ReturnStatus=NULL)
| Gets the rotation for the active manipulator.
| MFnManip3D (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Static Public Member Functions
static float | globalSize ()
| Returns the global manipulator size.
static void | setGlobalSize (float size)
| Sets the global manipulator size.
static float | handleSize ()
| Returns the manipulator handle size.
static void | setHandleSize (float size)
| Sets the manipulator handle size.
static float | lineSize ()
| Returns the manipulator line size.
static void | setLineSize (float size)
| Sets the manipulator line size.
static MStatus | deleteManipulator (MObject &manip)
| Delete a manipulator.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnManip3D | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnManip3D | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnManip3D | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnManip3D | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kManipulator3D.

Reimplemented from MFnTransform.

Reimplemented in MFnCircleSweepManip, MFnCurveSegmentManip, MFnDirectionManip, MFnDiscManip, MFnDistanceManip, MFnFreePointTriadManip, MFnPointOnCurveManip, MFnPointOnSurfaceManip, MFnRotateManip, MFnScaleManip, MFnStateManip, and MFnToggleManip.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnManip3D".

Reimplemented from MFnTransform.

Reimplemented in MFnCircleSweepManip, MFnCurveSegmentManip, MFnDirectionManip, MFnDiscManip, MFnDistanceManip, MFnFreePointTriadManip, MFnPointOnCurveManip, MFnPointOnSurfaceManip, MFnRotateManip, MFnScaleManip, MFnStateManip, and MFnToggleManip.

bool isVisible | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Returns whether or not the manipulator is visible.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - true the manipulator is visible
  - false the manipulator is not visible

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setVisible | ( | bool | isVisible | ) |

Search for all occurrences

Sets whether or not the manipulator is visible.

Parameters:

  [out] | isVisible | whether or not the manipulator is visible

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

float manipScale | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Returns the manipulator scale.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The manipulator scale

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setManipScale | ( | float | size | ) |

Search for all occurrences

Sets the manipulator scale.

Parameters:

  [in] | size | the manipulator scale

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

bool isOptimizePlaybackOn | ( | MStatus * | ReturnStatus | ) | const

Search for all occurrences

Returns whether or not optimize playback is on.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - true optimize playback is on
  - false optimize playback is off

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setOptimizePlayback | ( | bool | optimizePlayback | ) |

Search for all occurrences

Sets whether or not to optimize the playback.

Parameters:

  [in] | optimizePlayback | whether or not to optimize the playback

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

float globalSize | ( |  | ) | `[static]`

Search for all occurrences

Returns the global manipulator size.

Returns:
  The global manipulator size

void setGlobalSize | ( | float | size | ) | `[static]`

Search for all occurrences

Sets the global manipulator size.

Parameters:

  [in] | size | the global manipulator size

float handleSize | ( |  | ) | `[static]`

Search for all occurrences

Returns the manipulator handle size.

Returns:
  The manipulator handle size

void setHandleSize | ( | float | size | ) | `[static]`

Search for all occurrences

Sets the manipulator handle size.

Parameters:

  [in] | size | the manipulator handle size

float lineSize | ( |  | ) | `[static]`

Search for all occurrences

Returns the manipulator line size.

Returns:
  The manipulator line size

void setLineSize | ( | float | size | ) | `[static]`

Search for all occurrences

Sets the manipulator line size.

Parameters:

  [in] | size | the manipulator line size

MStatus deleteManipulator | ( | MObject & | manip | ) | `[static]`

Search for all occurrences

Delete a manipulator.

This method should be used to delete manipulators that have been created using base manipulator create() methods.

Parameters:

  [in] | manip | the manipulator to be deleted

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MEulerRotation rotateXYZValue | ( | const unsigned int | valIndex,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Gets the rotation for the active manipulator.

Parameters:

  [in] | valIndex | rotation index of the manipulator
  [out] | ReturnStatus | return status

Returns:
  Rotate value of the active manip

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D
MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D MFnManip3D